%define name 	gksu
%define version 0.9.18
%define release 1mdk

Summary: 	GKsu is a GTK+ frontend to the su and sudo programs.
Name:	 	%name
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 	 	Graphical desktop/GNOME
Url:		http://www.nongnu.org/gksu/
Source:  	%name-%version.tar.bz2
BuildRoot: 	%{_tmppath}/%name-root
BuildRequires: 	gettext pkgconfig libgtk+2.0-devel bison autoconf2.5

%description
gksu is a Gtk+ frontend to /bin/su. It supports login shells and preserving
environment when acting as a su frontend. It is useful to menu items or
other graphical programs that need to ask a user's password to run another
program as another user.

%prep
%setup

%build
export WANT_AUTOCONF_2_5
autoconf
%configure
%make

%install
%makeinstall
%find_lang %name

%clean
rm -fr %buildroot

%files -f %name.lang
%defattr (-,root,root)
%doc ABOUT-NLS AUTHORS ChangeLog COPYING README TODO
%{_bindir}/%name
%{_bindir}/%{name}exec
%{_datadir}/gnome/apps/System/*.desktop
%{_datadir}/pixmaps/*.png
%{_mandir}/man1/*.1.*
%{_libdir}/%name/*

%changelog
* Wed Nov 19 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9.18-1mdk
- 0.9.18

* Mon Aug 25 2003 Austin Acton <aacton@yorku.ca> 0.9.15-2mdk
- remove description of sudo functionality (removed)

* Mon Aug 25 2003 Austin Acton <aacton@yorku.ca> 0.9.15-1mdk
- 0.9.15

* Sun May 11 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9.9-1mdk
- 0.9.9

* Fri Apr 25 2003 Austin Acton <aacton@yorku.ca> 0.9.8-2mdk
- buildrequires autoconf2.5
- add clean section

* Wed Apr 9 2003 Austin Acton <aacton@yorku.ca> 0.9.8-1mdk
- 0.9.8

* Tue Apr 01 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9.7-1mdk
- 0.9.7

* Mon Mar 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9.1-2mdk
- url

* Wed Feb 19 2003 Austin Acton <aacton@yorku.ca> 0.9.1-1mdk
- 0.9.1
- add man pages

* Wed Jan 29 2003 Austin Acton <aacton@yorku.ca> 0.9.0-1mdk
- initial package
